# Get a User's Domain Names (Space ID)

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/spaceid/getDomain/:address`

#### Path Parameters

| Name                                      | Type   | Description         |
| ----------------------------------------- | ------ | ------------------- |
| address<mark style="color:red;">\*</mark> | String | address of the user |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "success": true,
  "body": {
    "name": "example.eth",
    "nameBsc": "example.bnb",
    "nameArb": "example.arb"
  }
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
  "success": false,
  "error": "Error description"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Space ID is used for this feature. Check them out:  <https://space.id/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-a-users-domain-names-space-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
